#******************************************************************************#
#                                                                              #
#                                                         :::      ::::::::    #
#    Makefile                                           :+:      :+:    :+:    #
#                                                     +:+ +:+         +:+      #
#    By: bchanot <bchanot@students.42.fr>           +#+  +:+       +#+         #
#                                                 +#+#+#+#+#+   +#+            #
#    Created: 2015/11/27 00:02:23 by bchanot           #+#    #+#              #
#*   Updated: 2016/11/01 18:45:09 by bchanot          ###   ########.fr       *#
#                                                                              #
#******************************************************************************#

FLAGS = -Wall -Wextra -Werror
NAME = libft.a
HEAD = includes/
SRC = ft_atoi.c \
	ft_itoo.c \
	ft_striter.c \
	ft_strrchr.c \
	ft_bzero.c \
	ft_memalloc.c \
	ft_putnbr.c \
	ft_striteri.c \
	ft_strsplit.c \
	ft_isalnum.c \
	ft_isnum.c \
	ft_memccpy.c \
	ft_strjoin.c \
	ft_strstr.c \
	ft_isalpha.c \
	ft_memchr.c \
	ft_putstr.c \
	ft_strlcat.c \
	ft_strsub.c \
	ft_isascii.c \
	ft_memcmp.c \
	ft_strlen.c \
	ft_strtrim.c \
	ft_isdigit.c \
	ft_memcpy.c \
	ft_strcat.c \
	ft_strmap.c \
	ft_tolower.c \
	ft_isprint.c \
	ft_memdel.c \
	ft_strchr.c \
	ft_strmapi.c \
	ft_toupper.c \
	ft_itoa.c \
	ft_strclr.c \
	ft_strncat.c \
	ft_memmove.c \
	ft_strcmp.c \
	ft_strncmp.c \
	ft_memset.c \
	ft_strcpy.c \
	ft_strncpy.c \
	ft_putchar.c \
	ft_strdel.c \
	ft_strnequ.c \
	ft_strdup.c \
	ft_strnew.c \
	ft_putendl.c \
	ft_strequ.c \
	ft_strnstr.c \
	ft_cptchar.c \
	ft_puttab.c \
	ft_exit.c \
	ft_sqrt.c \
	ft_exit_err.c \
	ft_htoa.c \
	ft_utoa.c \
	ft_nbrlen.c \
	ft_unicode.c \
	ft_itob.c \
	ft_strnjoin.c \
	ft_getchar.c \
	ft_getstr.c \
	ft_strcut.c \
	ft_charjoin.c \
	ft_isupper.c \
	ft_memdel2.c \
	ft_strisdigit.c \
	ft_check_last.c \
	ft_tablen.c \
	ft_printf.c \
	ft_printf/pf_b.c \
	ft_printf/pf_c.c \
	ft_printf/pf_c_up.c \
	ft_printf/pf_d_up.c \
	ft_printf/pf_di.c \
	ft_printf/pf_len.c \
	ft_printf/pf_more_inf.c \
	ft_printf/pf_o.c \
	ft_printf/pf_o_up.c \
	ft_printf/pf_p.c \
	ft_printf/pf_percent.c \
	ft_printf/pf_putnbr.c \
	ft_printf/pf_putnbrlong.c \
	ft_printf/pf_putstr.c \
	ft_printf/pf_s.c \
	ft_printf/pf_s_up.c \
	ft_printf/pf_take_inf.c \
	ft_printf/pf_u.c \
	ft_printf/pf_u_up.c \
	ft_printf/pf_x.c \
	ft_printf/pf_x_up.c \
	get_next_line.c
OBJ =  ft_atoi.o \
	ft_striter.o \
	ft_strrchr.o \
	ft_bzero.o \
	ft_memalloc.o \
	ft_putnbr.o \
	ft_striteri.o \
	ft_strsplit.o \
	ft_isalnum.o \
	ft_memccpy.o \
	ft_strjoin.o \
	ft_strstr.o \
	ft_isalpha.o \
	ft_isnum.o \
	ft_memchr.o \
	ft_putstr.o \
	ft_strlcat.o \
	ft_strsub.o \
	ft_isascii.o \
	ft_memcmp.o \
	ft_strlen.o \
	ft_strtrim.o \
	ft_isdigit.o \
	ft_memcpy.o \
	ft_strcat.o \
	ft_strmap.o \
	ft_tolower.o \
	ft_isprint.o \
	ft_memdel.o \
	ft_strchr.o \
	ft_strmapi.o \
	ft_toupper.o \
	ft_itoa.o \
	ft_strclr.o \
	ft_strncat.o \
	ft_memmove.o \
	ft_strcmp.o \
	ft_strncmp.o \
	ft_memset.o \
	ft_strcpy.o \
	ft_strncpy.o \
	ft_putchar.o \
	ft_strdel.o \
	ft_strnequ.o \
	ft_strdup.o \
	ft_strnew.o \
	ft_putendl.o \
	ft_strequ.o \
	ft_strnstr.o \
	ft_cptchar.o \
	ft_puttab.o \
	ft_exit.o \
	ft_sqrt.o \
	ft_exit_err.o \
	ft_htoa.o \
	ft_utoa.o \
	ft_nbrlen.o \
	ft_unicode.o \
	ft_itob.o \
	ft_strnjoin.o \
	ft_itoo.o \
	ft_getchar.o \
	ft_getstr.o \
	ft_charjoin.o \
	ft_isupper.o \
	ft_check_last.o \
	ft_strcut.o \
	ft_tablen.o \
	ft_printf.o \
	ft_memdel2.o \
	ft_strisdigit.o \
	pf_b.o \
	pf_c.o \
	pf_c_up.o \
	pf_d_up.o \
	pf_di.o \
	pf_len.o \
	pf_more_inf.o \
	pf_o.o \
	pf_o_up.o \
	pf_p.o \
	pf_percent.o \
	pf_putnbr.o \
	pf_putnbrlong.o \
	pf_putstr.o \
	pf_s.o \
	pf_s_up.o \
	pf_take_inf.o \
	pf_u.o \
	pf_u_up.o \
	pf_x.o \
	pf_x_up.o \
	get_next_line.o

all: $(NAME)

$(NAME):
	@clang -c -I $(HEAD) $(FLAGS) $(SRC)
	@ar rc $(NAME) $(OBJ)
	@ranlib $(NAME)
	@echo "\t---LIBFT---COMPILATED---"

clean:
	@/bin/rm -f $(OBJ)

fclean: clean
	@/bin/rm -f $(NAME)

re: fclean all
